#!/bin/bash

## FLUSH de reglas
iptables -F
iptables -X
iptables -Z
iptables -t nat -F

## Establecemos politica por defecto
iptables -P INPUT ACCEPT
iptables -P OUTPUT ACCEPT
iptables -P FORWARD ACCEPT

# Allows all loopback (lo0) traffic and drop all traffic to 127/8 that doesn't use lo0
iptables -A INPUT -i lo -j ACCEPT
iptables -A INPUT ! -i lo -d 127.0.0.0/8 -j REJECT

#
#  Trafico entre los nodos del ambiente
#
<% node.mysql.mysql_nodes.each do |k| %>
<% k.each do |v,x| %>
<% if v == "mysql_private_ip" then  %>
iptables -A INPUT -p tcp -s <%=x%> -j ACCEPT   
<%end%>
<%end%>
<%end%>

#
#  Trafico desde los nodos de Inconcert
#
<%  node.mysql.inconcert_nodes.each do |k| %>
<% k.each do |v,x| %>
<% if v == "inconcert_private_ip" then  %>
iptables -A INPUT -p tcp -s <%=x%> -j ACCEPT   
<%end%>
<%end%>
<%end%>

# Aceptar todo el trafico de conexiones ya establecidas (ESTABLISHED) o relacionado con otras conexiones (RELATED).
iptables -A INPUT -m state --state ESTABLISHED,RELATED -j ACCEPT

# Acepto todo el trafico saliente
iptables -A OUTPUT -j ACCEPT


# Acepto el trafico SSH al puerto 22 y al 4422
# Por defecto el SSH no deberia estar configurado en el puerto 22.
# Luego en las reglas custom puedo deshabilitar el puerto 22
iptables -A INPUT -p tcp -m state --state NEW --dport 22 -j ACCEPT
iptables -A INPUT -p tcp -m state --state NEW --dport 4422 -j ACCEPT


# Allow ping
#iptables -A INPUT -p icmp -m icmp --icmp-type 8 -j ACCEPT


#
#  Habilito las IPs de la Oficina de Inconcert.
#
source /etc/inconcert/iptables/iptables.filtrado.oficinas

#
#  Reglas CUSTOMS para el ambiente
#
source /etc/inconcert/iptables/iptables.rules.custom
# Genero logs de los request bloqueados por iptables.
iptables -A INPUT -m limit --limit 5/min -j LOG --log-prefix "iptables denied: " --log-level 7

# Reject all other inbound - default deny unless explicitly allowed policy:
iptables -A INPUT -j REJECT
iptables -A FORWARD -j REJECT

#SALVO Y APLICO REGLAS
iptables-save
